Bug 974775 - SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' accesses on the file /opt/google/talkplugin/libnpgoogletalk.so.
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:11ec57ba4a171c5e89c07be7ef6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 13:27 EDT by Rodrigo
Modified: 2013-07-24 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodrigo 2013-06-15 13:27:52 EDT
Description of problem:
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' accesses on the file /opt/google/talkplugin/libnpgoogletalk.so.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o plugin-config deva ser permitido acesso de execmod em libnpgoogletalk.so file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
                              s0-s0:c0.c1023
Target Context                system_u:object_r:bin_t:s0
Target Objects                /opt/google/talkplugin/libnpgoogletalk.so [ file ]
Source                        plugin-config
Source Path                   /usr/lib/nspluginwrapper/plugin-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.4.4-16.fc18.i686
Target RPM Packages           google-talkplugin-4.0.1.0-1.i386
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.i686 #1 SMP Tue Jun
                              11 20:33:48 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-06-15 14:25:07 BRT
Last Seen                     2013-06-15 14:25:07 BRT
Local ID                      091f25c3-2ce9-47ef-9889-fd44ed1d6a75

Raw Audit Messages
type=AVC msg=audit(1371317107.432:391): avc:  denied  { execmod } for  pid=3490 comm="plugin-config" path="/opt/google/talkplugin/libnpgoogletalk.so" dev="sda6" ino=786881 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file


type=SYSCALL msg=audit(1371317107.432:391): arch=i386 syscall=mprotect success=yes exit=0 a0=b76e0000 a1=2e000 a2=5 a3=bfe4dd70 items=0 ppid=3487 pid=3490 auid=1000 uid=99 gid=99 euid=99 suid=99 fsuid=99 egid=99 sgid=99 fsgid=99 ses=2 tty=(none) comm=plugin-config exe=/usr/lib/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-config,mozilla_plugin_config_t,bin_t,file,execmod

audit2allow

#============= mozilla_plugin_config_t ==============
allow mozilla_plugin_config_t bin_t:file execmod;

audit2allow -R
require {
	type mozilla_plugin_config_t;
	type bin_t;
	class file execmod;
}

#============= mozilla_plugin_config_t ==============
allow mozilla_plugin_config_t bin_t:file execmod;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.i686
type:           libreport
Comment 1 Laurent Wandrebeck 2013-06-17 15:12:28 EDT
Met on F19 beta too.
Comment 2 Daniel Walsh 2013-06-18 11:28:22 EDT
chcon -t textrel_shlib_t /opt/google/*/*.so

Should fix for now.  Someone should tell google how to build a shared library.

35668e22fff4f2b819e324dce654bdf8de44ba73
db7fc56f717f60af3ee2f7747b93ce10e252af34

Changes the label in git.
Comment 3 Miroslav Grepl 2013-06-21 11:11:52 EDT
Back ported.
Comment 4 Fedora Update System 2013-06-27 09:36:20 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 5 Fedora Update System 2013-06-28 02:10:20 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-24 20:40:16 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.